include:
  - remote: 'https://api.r2devops.io/job/r/r2devops-bot/php_security_checker/latest.yaml'
#  - remote: 'https://api.r2devops.io/job/r/r2devops-bot/sls_scan/1.1.0.yaml'
#  - remote: 'https://api.r2devops.io/job/r/r2devops-bot/trivy_dependency/latest.yaml'
#  - remote: 'https://api.r2devops.io/job/r/r2devops-bot/twig_lint/latest.yaml'

stages:
    - build
    - static_tests
    - dynamic_tests
    - tests
    - quality
    - deploy
    - staging
    - accessibility

variables:
    CONTAINER_IMAGE: "${CI_REGISTRY_IMAGE}:${CI_COMMIT_REF_NAME}"

build:
    stage: build
    tags:
        - citoyen-shell
    script:
        - docker login -u "gitlab-ci-token" -p "$CI_JOB_TOKEN" $CI_REGISTRY
        - docker pull $CI_REGISTRY_IMAGE:latest || true
        - docker build --target webdpo_fpm_dev --cache-from $CI_REGISTRY_IMAGE:latest --tag ${CONTAINER_IMAGE} --tag $CI_REGISTRY_IMAGE:latest .
        - docker login -u "gitlab-ci-token" -p "$CI_JOB_TOKEN" $CI_REGISTRY
        - docker push ${CONTAINER_IMAGE}
        - docker push $CI_REGISTRY_IMAGE:latest

phpstan:
    stage: static_tests
    image: $CONTAINER_IMAGE
    variables:
        DONT_INIT_DATABASE: "true"
        DONT_RETRIEVE_VALIDCA: "true"
    script:
        - cd /var/www/html/web-dpo
        - composer phpstan

sonarqube:
    stage: quality
    only:
        - master
    image: gitlab.libriciel.fr:4567/docker/sonar-scanner:latest
    script:
        - mkdir /app
        - cp -rf $CI_PROJECT_DIR/* /app
        - cd /app
        - /sonar-scanner -Dsonar.login=$SONAR_LOGIN -Dsonar.host.url=$SONAR_HOST_URL